@import "../base/variable.scss";
@import "../base/mixins.scss";

.el_modal {
    z-index: 99995;
    .modal-dialog {
        width: 475px;
        max-width: 96%;
        .modal-content {
            border: 0;
            border-radius: 0;
            padding: 40px;
            box-shadow: none;
            background-color: $white;
            box-shadow: rgba(14, 30, 37, 0.12) 0px 2px 4px 0px, rgba(14, 30, 37, 0.32) 0px 2px 16px 0px;
            .modal-header {
                margin: 0;
                padding: 0;
                padding-top: 20px;
                padding-bottom: 20px;
                border: 0;
                h5 {
                    padding-bottom: 0;
                }

                .modal-title {
                    color: $black;
                    font-weight: 600;
                    font-size: 26px;
                    margin: 0 auto;
                    text-align: center;
                    color: $light_blue;
                    padding-top: 24px;
                }
                .btn-close {
                    position: absolute;
                    right: 25px;
                    top: 25px;
                    background-image: url(../images/time-cross.png);
                    opacity: 1;
                    color: $black;
                    background: none;
                    opacity: 1;
                    font-size: 18px;
                    margin: 0;
                    padding: 0;
                    height: 35px;
                    width: 35px;
                    line-height: 35px;
                    border-radius: 0;
                    box-shadow: none;
                    text-decoration: none;
                    outline: none;
                    background-color: $input;
                    border-radius: 0px;
                    &:focus{
                        box-shadow: none;
                    }
                }
            }
            .modal-body{
                padding-top: 35px;
                padding-left: 0;
                padding-right: 0;
                .form-group{
                    .form-control{
                        background-color: $input;
                    }
                }
            }
            .modal-footer {
                margin: 0;
                padding: 0px 0px 20px 0px;
                border: 0;
                display: block;
                @include clearfix();

                .left_btn {
                    float: left;
                    margin: 0;
                }

                .right_btn {
                    margin: 0;
                    float: right;
                }

                .btn {
                    width: 160px;
                    height: 46px;
                    margin: 0;
                    padding: 0;
                    text-align: center;
                    line-height: 46px;
                }
            }
        }
    }
    &.apply_for{
        .modal-dialog {
            .modal-content {
                .modal-body{
                    .form-group{
                        .icon_add{
                            margin: 0 auto;
                            text-align: center;
                            border: 1px dashed $offfspra2;
                            border-radius: 5px;
                            padding: 50px 0;
                        }
                    }
                    .submit_button{
                        padding-top: 35px;
                    }
                }
            }
        }
    }
    &.join_team{
        .modal-dialog{
            .modal-content{
                padding: 32px;
                .modal-body{
                    .content_box{
                        .header_area{
                            @include clearfix();
                            .left{
                                float: left;
                                p{
                                    font-size: 14px;
                                    font-weight: 400;
                                    padding: 5px 20px;
                                    background-color: $light_blue;
                                    color: $white;
                                }
                            }
                            .right{
                                float: right;
                                p{
                                    font-size: 14px;
                                    font-weight: 400;
                                    color: $offfspra2;
                                }
                            }
                        }
                        .content{
                            p{
                                font-size: 20px;
                                color: $secondary_color;
                                padding-top: 10px;
                            }
                            .icon_area{
                                ul{
                                    padding-top: 10px;
                                    li{
                                        display: inline-block;
                                        background-color: $border_line;
                                        font-size: 14px;
                                        color: $dark_black;
                                        padding: 5px 20px;
                                        margin-left: 20px;
                                        i{
                                            font-size: 16px;
                                        }
                                        &:first-child{
                                            margin-left: 0;
                                        }
                                    }
                                }
                            }
                            .inner_area{
                                padding-top: 20px;
                                p{
                                    font-size: 14px;
                                    color: $offfspra2;
                                    line-height: 21px;
                                    a{
                                        color: $light_blue;
                                    }
                                }
                                ul{
                                    padding-top: 25px;
                                    li{
                                        display: inline-block;
                                        font-size: 14px;
                                        color: $offfspra2;
                                        padding-top: 5px;
                                        padding-left: 12px;
                                        position: relative;
                                        &:before{
                                            content: "";
                                            border: 1px solid transparent;
                                            width: 5px;
                                            height: 5px;
                                            background-color: $offfspra2;
                                            position: absolute;
                                            top: 13px;
                                            left: 0;
                                            border-radius: 50%;
                                        }
                                    }
                                }
                            }
                            .apply_button{
                                padding-top: 50px;
                            }
                        }
                    }
                }
            }
        }
    }
}











/* Extra Huge large desktops */
@media (min-width: 1920px) {}

/* Extra Huge large desktops */
@media (min-width: 1680px) and (max-width: 1919px) {}

/* Extra Huge large desktops */
@media (min-width: 1600px) and (max-width: 1679px) {}

/* Extra large desktops and mac laptops*/
@media (min-width: 1400px) and (max-width: 1599px) {}

/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
    .el_modal{
        &.apply_for{
            .modal-dialog{
                .modal-content{
                    .modal-header{
                        padding-top: 5px;
                    }
                }
                .modal-content{
                    .modal-body{
                        padding-top: 10px;
                        .submit_button{
                            padding-top: 15px;
                        }
                    }
                }
            }
        }
        &.join_team{
            .modal-dialog{
                .modal-content{
                    padding: 28px;
                    .modal-body{
                        padding-top: 15px;
                        .content_box{
                            .content{
                                .inner_area{
                                    padding-top: 10px;
                                    ul{
                                        padding-top: 10px;
                                    }
                                }
                                .apply_button{
                                    padding-top: 20px;
                                } 
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Landscape tablets and ipad */
@media (min-width: 768px) and (max-width: 991px) {
    .el_modal{
        &.apply_for{
            .modal-dialog{
                .modal-content{
                    .modal-header{
                        padding-top: 5px;
                    }
                }
                .modal-content{
                    .modal-body{
                        padding-top: 10px;
                        .submit_button{
                            padding-top: 15px;
                        }
                        .form-group{
                            textarea{
                                height: 90px;
                            }
                            .icon_add{
                                padding: 25px;
                            }
                        }
                    }
                }
            }
        }
        &.join_team{
            .modal-dialog{
                .modal-content{
                    padding: 28px;
                    .modal-body{
                        padding-top: 10px;
                        .content_box{
                            .content{
                                p{
                                    font-size: 18px;
                                }
                                .inner_area{
                                    padding-top: 0px;
                                    ul{
                                        padding-top: 8px;
                                    }
                                }
                                .apply_button{
                                    padding-top: 15px;
                                    a{
                                        &.btn-primary{
                                            height: 40px;
                                            line-height: 40px;
                                            font-size: 12px;
                                        }
                                    }
                                } 
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 576px) and (max-width: 767px) {
    .el_modal{
        &.apply_for{
            .modal-dialog{
                .modal-content{
                    .modal-header{
                        padding-top: 5px;
                    }
                }
                .modal-content{
                    padding-bottom: 20px;
                    padding-top: 30px;
                    .modal-body{
                        padding-top: 10px;
                        .submit_button{
                            padding-top: 10px;
                        }
                        .form-group{
                            textarea{
                                height: 80px;
                            }
                            .icon_add{
                                padding: 20px;
                            }
                        }
                    }
                }
            }
        }
        &.join_team{
            .modal-dialog{
                .modal-content{
                    padding: 22px;
                    .modal-body{
                        padding-top: 15px;
                        .content_box{
                            .header_area{
                                .left{
                                    p{
                                        padding: 4px 15px;
                                        font-size: 13px;
                                    }
                                    .right{
                                        p{
                                            font-size: 13px;
                                        }
                                    }
                                }
                            }
                            .content{
                                p{
                                    font-size: 18px;
                                }
                                .icon_area{
                                    ul{
                                        li{
                                            margin-left: 10px;
                                        }
                                    }
                                }
                                .inner_area{
                                    padding-top: 0px;
                                    p{
                                        font-size: 13px;
                                    }
                                    ul{
                                        padding-top: 8px;
                                    }
                                }
                                .apply_button{
                                    padding-top: 15px;
                                    a{
                                        &.btn-primary{
                                            height: 40px;
                                            line-height: 40px;
                                            font-size: 12px;
                                        }
                                    }
                                } 
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 361px) and (max-width: 575px) {
    .el_modal{
        &.apply_for{
            .modal-dialog{
                .modal-content{
                    .modal-header{
                        padding-top: 5px;
                        .btn-close{
                            right: 14px;
                            top: 11px;
                        }
                        h5{
                            font-size: 22px;
                        }
                    }
                }
                .modal-content{
                    padding: 20px;
                    .modal-body{
                        padding-top: 0px;
                        .submit_button{
                            padding-top: 10px;
                        }
                        .form-group{
                            textarea{
                                height: 80px;
                            }
                            .icon_add{
                                padding: 20px;
                            }
                        }
                    }
                }
            }
        }
        &.join_team{
            .modal-dialog{
                .modal-content{
                    padding: 22px;
                    .modal-body{
                        padding-top: 20px;
                        .content_box{
                            .header_area{
                                .left{
                                    p{
                                        padding: 4px 15px;
                                        font-size: 13px;
                                    }
                                    .right{
                                        p{
                                            font-size: 13px;
                                        }
                                    }
                                }
                            }
                            .content{
                                p{
                                    font-size: 17px;
                                }
                                .icon_area{
                                    ul{
                                        li{
                                            margin-left: 7px;
                                            font-size: 12px;
                                            padding: 4px 15px;
                                            i{
                                                font-size: 14px;
                                            }
                                        }
                                    }
                                }
                                .inner_area{
                                    padding-top: 0px;
                                    p{
                                        font-size: 13px;
                                    }
                                    ul{
                                        padding-top: 6px;
                                        li{
                                            font-size: 12px;
                                            &:before{
                                                width: 4px;
                                                height: 4px;
                                                top: 12px;
                                            }
                                        }
                                    }
                                }
                                .apply_button{
                                    padding-top: 15px;
                                    a{
                                        &.btn-primary{
                                            height: 40px;
                                            line-height: 40px;
                                            font-size: 12px;
                                        }
                                    }
                                } 
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 360px) {
    .el_modal{
        &.apply_for{
            .modal-dialog{
                .modal-content{
                    .modal-header{
                        padding-top: 5px;
                        .btn-close{
                            right: 14px;
                            top: 11px;
                        }
                        h5{
                            font-size: 20px;
                        }
                    }
                }
                .modal-content{
                    padding: 20px;
                    .modal-body{
                        padding-top: 0px;
                        .submit_button{
                            padding-top: 10px;
                        }
                        .form-group{
                            textarea{
                                height: 80px;
                            }
                            .icon_add{
                                padding: 20px;
                            }
                        }
                    }
                }
            }
        }
        &.join_team{
            .modal-dialog{
                .modal-content{
                    padding: 20px;
                    .modal-body{
                        padding-top: 20px;
                        .content_box{
                            .header_area{
                                .left{
                                    p{
                                        padding: 4px 15px;
                                        font-size: 13px;
                                    }
                                    .right{
                                        p{
                                            font-size: 13px;
                                        }
                                    }
                                }
                            }
                            .content{
                                p{
                                    font-size: 17px;
                                }
                                .icon_area{
                                    ul{
                                        li{
                                            margin-left: 7px;
                                            font-size: 12px;
                                            padding: 4px 15px;
                                            i{
                                                font-size: 14px;
                                            }
                                        }
                                    }
                                }
                                .inner_area{
                                    padding-top: 0px;
                                    p{
                                        font-size: 13px;
                                    }
                                    ul{
                                        padding-top: 5px;
                                        li{
                                            font-size: 12px;
                                        }
                                    }
                                }
                                .apply_button{
                                    padding-top: 15px;
                                    a{
                                        &.btn-primary{
                                            height: 40px;
                                            line-height: 40px;
                                            font-size: 12px;
                                        }
                                    }
                                } 
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 320px) {
    
}